为何lxde-core推荐lxterminal但安装时不提示会安装?

最大的社区版本,Ubuntu的发源地
科学之子
帖子: 2260
注册时间: 2013-05-26 6:58
系统: Debian 9
送出感谢: 842 次
接收感谢: 30 次

为何lxde-core推荐lxterminal但安装时不提示会安装?

#1

帖子 科学之子 » 2017-05-05 22:02

为何lxde-core推荐lxterminal但安装时不提示会安装?
aptitude -P install -r lxde-core:

代码: 全选

  bzip2{a} ca-certificates{a} cpp{a} cpp-6{a} dbus-user-session{a} desktop-file-utils{a} dh-python{a} dictionaries-common{a} distro-info-data{a} dosfstools{a} eject{a} 
  emacsen-common{a} exfat-fuse{a} exfat-utils{a} file{a} fuse{a} gconf-service{a} gconf2{a} gconf2-common{a} gcr{a} gdisk{a} giblib1{a} gksu{a} gnome-keyring{a} 
  gnome-mime-data{a} gnome-screenshot{a} groff-base{a} gvfs{a} gvfs-backends{a} gvfs-common{a} gvfs-daemons{a} gvfs-fuse{a} gvfs-libs{a} i965-va-driver{a} libaacs0{a} 
  libarchive13{a} libart-2.0-2{a} libasound2{a} libasound2-data{a} libasound2-plugins{a} libasyncns0{a} libatasmart4{a} libatkmm-1.6-1v5{a} libauthen-sasl-perl{a} 
  libavahi-glib1{a} libavcodec57{a} libavresample3{a} libavutil55{a} libbdplus0{a} libbluray1{a} libbonobo2-0{a} libbonobo2-common{a} libbonoboui2-0{a} libbonoboui2-common{a} 
  libcairomm-1.0-1v5{a} libcanberra-gtk3-0{a} libcanberra-gtk3-module{a} libcanberra0{a} libcap2-bin{a} libcdio-cdda1{a} libcdio-paranoia1{a} libcdio13{a} libcrystalhd3{a} 
  libcurl3-gnutls{a} libdbus-glib-1-2{a} libdouble-conversion1{a} libexif12{a} libfile-basedir-perl{a} libfile-desktopentry-perl{a} libfile-listing-perl{a} 
  libfile-mimeinfo-perl{a} libflac8{a} libfm-data{a} libfm-extra4{a} libfm-gtk-data{a} libfm-gtk4{a} libfm-modules{a} libfm4{a} libfont-afm-perl{a} libfuse2{a} libgck-1-0{a} 
  libgconf-2-4{a} libgcr-3-common{a} libgcr-base-3-1{a} libgcr-ui-3-1{a} libgd3{a} libgdata-common{a} libgdata22{a} libgif7{a} libgksu2-0{a} libglade2-0{a} libglew2.0{a} 
  libglibmm-2.4-1v5{a} libglu1-mesa{a} libgnome-2-0{a} libgnome-keyring-common{a} libgnome-keyring0{a} libgnome2-common{a} libgnomecanvas2-0{a} libgnomecanvas2-common{a} 
  libgnomeui-0{a} libgnomeui-common{a} libgnomevfs2-0{a} libgnomevfs2-common{a} libgnomevfs2-extra{a} libgoa-1.0-0b{a} libgoa-1.0-common{a} libgomp1{a} libgphoto2-6{a} 
  libgphoto2-l10n{a} libgphoto2-port12{a} libgsm1{a} libgtkmm-3.0-1v5{a} libgtop-2.0-10{a} libgtop2-common{a} libhtml-form-perl{a} libhtml-format-perl{a} libhtml-tree-perl{a} 
  libhttp-cookies-perl{a} libhttp-daemon-perl{a} libhttp-negotiate-perl{a} libid3tag0{a} libimlib2{a} libimobiledevice6{a} libio-socket-ssl-perl{a} 
  libipc-system-simple-perl{a} libisl15{a} libiw30{a} libjack-jackd2-0{a} libjpeg-turbo-progs{a} libkeybinder0{a} libkf5windowsystem-data{a} libkf5windowsystem5{a} 
  libldap-2.4-2{a} libldap-common{a} libldb1{a} libltdl7{a} liblua5.2-0{a} liblwp-protocol-https-perl{a} liblxqt-l10n{a} liblxqt0{a} liblzo2-2{a} libmagic-mgc{a} libmagic1{a} 
  libmailtools-perl{a} libmenu-cache-bin{a} libmenu-cache3{a} libmp3lame0{a} libmpc3{a} libmpdec2{a} libmpfr4{a} libmtp-common{a} libmtp-runtime{a} libmtp9{a} 
  libnet-http-perl{a} libnet-smtp-ssl-perl{a} libnet-ssleay-perl{a} libnfs8{a} libnghttp2-14{a} libnspr4{a} libnss3{a} libntfs-3g871{a} liboauth0{a} libobrender32v5{a} 
  libobt2v5{a} libogg0{a} libopenjp2-7{a} libopus0{a} liborbit-2-0{a} liborc-0.4-0{a} libpam-cap{a} libpam-gnome-keyring{a} libpangomm-1.4-1v5{a} libpangoxft-1.0-0{a} 
  libparted2{a} libpcre16-3{a} libpcre2-8-0{a} libplist3{a} libpolkit-qt5-1-1{a} libpulse-mainloop-glib0{a} libpulse0{a} libpulsedsp{a} libpython-stdlib{a} libpython2.7{a} 
  libpython2.7-minimal{a} libpython2.7-stdlib{a} libpython3-stdlib{a} libpython3.5-minimal{a} libpython3.5-stdlib{a} libqt5core5a{a} libqt5dbus5{a} libqt5gui5{a} 
  libqt5network5{a} libqt5svg5{a} libqt5widgets5{a} libqt5x11extras5{a} libqt5xdg2{a} libqt5xdgiconloader2{a} libqt5xml5{a} librtmp1{a} libsamplerate0{a} libsasl2-2{a} 
  libsasl2-modules{a} libsasl2-modules-db{a} libsecret-1-0{a} libsecret-common{a} libshine3{a} libsmbclient{a} libsnappy1v5{a} libsndfile1{a} libsoxr0{a} libspeex1{a} 
  libspeexdsp1{a} libssh2-1{a} libstartup-notification0{a} libswresample2{a} libtalloc2{a} libtdb1{a} libtevent0{a} libtheora0{a} libturbojpeg0{a} libtwolame0{a} 
  libudisks2-0{a} libunique-1.0-0{a} libusb-1.0-0{a} libusbmuxd4{a} libva-drm1{a} libva-x11-1{a} libva1{a} libvdpau-va-gl1{a} libvdpau1{a} libvorbis0a{a} libvorbisenc2{a} 
  libvorbisfile3{a} libvpx4{a} libvte-2.91-0{a} libvte-2.91-common{a} libwavpack1{a} libwbclient0{a} libwebp6{a} libwebpmux2{a} libwebrtc-audio-processing1{a} 
  libwnck-common{a} libwnck22{a} libwrap0{a} libwww-perl{a} libwww-robotrules-perl{a} libx264-148{a} libx265-95{a} libxcb-icccm4{a} libxcb-image0{a} libxcb-keysyms1{a} 
  libxcb-randr0{a} libxcb-render-util0{a} libxcb-shape0{a} libxcb-xinerama0{a} libxcb-xkb1{a} libxft2{a} libxkbcommon-x11-0{a} libxres1{a} libxvidcore4{a} libxxf86dga1{a} 
  libzvbi-common{a} libzvbi0{a} light-locker{a} lsb-release{a} lxde-common{a} lxde-core lxde-icon-theme{a} lxlock{a} lxmenu-data{a} lxpanel{a} lxpanel-data{a} 
  lxqt-policykit{a} lxqt-policykit-l10n{a} lxrandr{a} lxsession{a} lxsession-data{a} lxsession-default-apps{a} lxsession-logout{a} lxtask{a} mesa-utils{a} mesa-va-drivers{a} 
  mesa-vdpau-drivers{a} mime-support{a} miscfiles{a} notification-daemon{a} ntfs-3g{a} obconf{a} openbox{a} openbox-lxde-session{a} openssh-client{a} openssl{a} p11-kit{a} 
  p11-kit-modules{a} parted{a} pavucontrol{a} pcmanfm{a} perl-openssl-defaults{a} pinentry-gnome3{a} psmisc{a} pulseaudio{a} pulseaudio-utils{a} python{a} python-minimal{a} 
  python-talloc{a} python-xdg{a} python2.7{a} python2.7-minimal{a} python3{a} python3-minimal{a} python3.5{a} python3.5-minimal{a} qt5-gtk-platformtheme{a} 
  qttranslations5-l10n{a} rtkit{a} samba-libs{a} scrot{a} sudo{a} tcpd{a} termit{a} udisks2{a} usbmuxd{a} va-driver-all{a} vdpau-driver-all{a} x11-utils{a} 
  x11-xserver-utils{a} xscreensaver{a} xscreensaver-data{a} xz-utils{a} 
没有任何x-terminal-emulator是已安装状态:

代码: 全选

[email protected]:/# aptitude --disable-columns search '~Px-terminal-emulator'
p  eterm - Enlightened Terminal Emulator                       
p  gnome-terminal - GNOME terminal emulator application
p  konsole - X terminal emulator
p  kterm - Multi-lingual terminal emulator for X
p  lilyterm - Light and eazy-to-use terminal emulator for X
p  lxterminal - LXDE terminal emulator
p  mate-terminal - MATE terminal emulator application
p  mlterm - MultiLingual TERMinal
p  mlterm-tiny - MultiLingual TERMinal, tiny version
p  mrxvt - lightweight multi-tabbed X terminal emulator - complete version
p  mrxvt-cjk - lightweight multi-tabbed X terminal emulator - CJK version
p  mrxvt-mini - lightweight multi-tabbed X terminal emulator - minimalistic version
p  pterm - PuTTY terminal emulator
p  qterminal - Lightweight Qt terminal emulator
p  rxvt - VT102 terminal emulator for the X Window System
p  rxvt-ml - multi-lingual VT102 terminal emulator for the X Window System
p  rxvt-unicode - RXVT-like terminal emulator with Unicode support
p  rxvt-unicode-256color - multi-lingual terminal emulator with Unicode support for X11
p  rxvt-unicode-lite - RXVT-like terminal emulator with basic Unicode support
p  sakura - simple but powerful libvte-based terminal emulator
p  stterm - suckless tools simple terminal for windowed system
p  terminator - multiple GNOME terminals in one window
p  termit - Simple terminal emulator based on vte library, embedded lua
p  vala-terminal - Terminal emulator for mobile devices
p  xfce4-terminal - Xfce terminal emulator
p  xiterm+thai - X terminal program with Thai languague support
p  xterm - X terminal emulator
p  xvt - X terminal-emulator similar to xterm, but smaller
上次由 科学之子 在 2017-05-05 23:21,总共编辑 2 次。
头像
vickycq
论坛版主
帖子: 4507
注册时间: 2011-03-20 13:12
系统: Debian
来自: 山东省寿光县
送出感谢: 100 次
接收感谢: 995 次
联系:

Re: 为何lxde-core推荐lxterminal但安装时不提示会安装?

#2

帖子 vickycq » 2017-05-05 22:11

首先检查是否在 /etc/apt/apt.conf[.d] 或在 ~/.aptitude/config 设置了不安装 Recommends
其次检查是否已安装了以下 35 款终端的任意一个
aterm, aterm-ml, eterm, evilvte, gnome-terminal, guake, konsole, kterm, lilyterm, lxterminal, mate-terminal, mlterm, mlterm-tiny, mrxvt, mrxvt-cjk, mrxvt-mini, pterm, roxterm-gtk2, roxterm-gtk3, rxvt, rxvt-ml, rxvt-unicode, rxvt-unicode-256color, rxvt-unicode-lite, sakura, stterm, terminal.app, terminator, terminology, termit, vala-terminal, xfce4-terminal, xiterm+thai, xterm, xvt
Debian 中文论坛 - forums.debiancn.org
欢迎所有 Debian GNU/Linux 用户
科学之子
帖子: 2260
注册时间: 2013-05-26 6:58
系统: Debian 9
送出感谢: 842 次
接收感谢: 30 次

Re: 为何lxde-core推荐lxterminal但安装时不提示会安装?

#3

帖子 科学之子 » 2017-05-05 23:14

vickycq 写了:首先检查是否在 /etc/apt/apt.conf[.d] 或在 ~/.aptitude/config 设置了不安装 Recommends
其次检查是否已安装了以下 35 款终端的任意一个
aterm, aterm-ml, eterm, evilvte, gnome-terminal, guake, konsole, kterm, lilyterm, lxterminal, mate-terminal, mlterm, mlterm-tiny, mrxvt, mrxvt-cjk, mrxvt-mini, pterm, roxterm-gtk2, roxterm-gtk3, rxvt, rxvt-ml, rxvt-unicode, rxvt-unicode-256color, rxvt-unicode-lite, sakura, stterm, terminal.app, terminator, terminology, termit, vala-terminal, xfce4-terminal, xiterm+thai, xterm, xvt
首先检查是否在 /etc/apt/apt.conf[.d] 或在 ~/.aptitude/config 设置了不安装 Recommends
aptitude -r选项可以覆盖apt配置文件(参见man aptitude搜索-r)
检查这些终端的意义是什么?以及如何方便的检查"35款终端"?

代码: 全选

aptitude --disable-columns search '~Px-terminal-emulator'
检查没有发现任何x-terminal-emulator是"installed"状态
头像
vickycq
论坛版主
帖子: 4507
注册时间: 2011-03-20 13:12
系统: Debian
来自: 山东省寿光县
送出感谢: 100 次
接收感谢: 995 次
联系:

Re: 为何lxde-core推荐lxterminal但安装时不提示会安装?

#4

帖子 vickycq » 2017-05-06 0:26

科学之子 写了:aptitude -r选项可以覆盖apt配置文件(参见man aptitude搜索-r)
抱歉,之前没看见已经使用了 -r
科学之子 写了:检查这些终端的意义是什么?以及如何方便的检查"35款终端"?
您这样检查就是最方便的。虚包 'x-terminal-emulator' 没有被满足。

rec: lxterminal
LXDE terminal emulator
or x-terminal-emulator
virtual package provided by [show 35 providing packages]

用一台无头服务器试了试,无法重现您的情况
# aptitude -P install -r lxde-core
The following NEW packages will be installed:
consolekit{a} desktop-file-utils dictionaries-common{a} dosfstools{a} eject{a} emacsen-common{a} fuse{a} gcr{a} gdisk{a} giblib1{a} gksu
gnome-keyring{a} gvfs{a} gvfs-backends{a} gvfs-common{a} gvfs-daemons{a} gvfs-fuse{a} gvfs-libs{a} libarchive13{a} libatasmart4{a}
libauthen-sasl-perl{a} libavahi-glib1{a} libbluetooth3{a} libck-connector0{a} libencode-locale-perl{a} libexif12{a}
libfile-listing-perl{a} libfm-data{a} libfm-extra4{a} libfm-gtk-data{a} libfm-gtk4{a} libfm-modules{a} libfm4{a} libfont-afm-perl{a}
libfuse2{a} libgck-1-0{a} libgcr-3-common{a} libgcr-base-3-1{a} libgcr-ui-3-1{a} libgif4{a} libgksu2-0{a} libglade2-0{a}
libgnome-keyring-common{a} libgnome-keyring0{a} libgoa-1.0-0b{a} libgoa-1.0-common{a} libgphoto2-6{a} libgphoto2-l10n{a}
libgphoto2-port10{a} libgtk2.0-0{a} libgtk2.0-bin{a} libgtk2.0-common{a} libgtop2-7{a} libgtop2-common{a} libgudev-1.0-0{a}
libhtml-form-perl{a} libhtml-format-perl{a} libhtml-parser-perl{a} libhtml-tagset-perl{a} libhtml-tree-perl{a} libhttp-cookies-perl{a}
libhttp-daemon-perl{a} libhttp-date-perl{a} libhttp-message-perl{a} libhttp-negotiate-perl{a} libid3tag0{a} libimlib2{a}
libimobiledevice4{a} libio-html-perl{a} libio-socket-ssl-perl{a} libjpeg-turbo-progs{a} liblwp-mediatypes-perl{a}
liblwp-protocol-https-perl{a} liblzo2-2{a} libmailtools-perl{a} libmenu-cache-bin{a} libmenu-cache3{a} libmtp-common{a} libmtp-runtime{a}
libmtp9{a} libnet-http-perl{a} libnet-smtp-ssl-perl{a} libnet-ssleay-perl{a} libobrender29{a} libobt2{a} libpam-ck-connector{a}
libpam-gnome-keyring{a} libpango1.0-0{a} libpangox-1.0-0 libpangoxft-1.0-0{a} libplist2{a} libpolkit-agent-1-0{a}
libpolkit-backend-1-0{a} libpolkit-gobject-1-0{a} libsecret-1-0{a} libsecret-common{a} libsmbclient{a} libstartup-notification0{a}
libtimedate-perl{a} libturbojpeg1{a} libudisks2-0{a} liburi-perl{a} libusbmuxd2{a} libvte-common{a} libvte9{a} libwnck-common{a}
libwnck22{a} libwww-perl{a} libwww-robotrules-perl{a} libxcb-util0{a} libxres1{a} libxxf86dga1{a} lsb-release{a} lxde-common lxde-core
lxde-icon-theme{a} lxmenu-data{a} lxpanel{a} lxpanel-data{a} lxsession{a} lxtask{a} lxterminal miscfiles{a} ntfs-3g{a} obconf{a}
openbox{a} p11-kit{a} p11-kit-modules{a} pcmanfm{a} policykit-1{ab} python-xdg{a} scrot{a} udisks2{ab} usbmuxd{a} x11-utils{a} xauth{a}
xscreensaver xscreensaver-data{a}
The following packages will be REMOVED:
libauparse0{u} liborc-0.4-0{u} libschroedinger-1.0-0{u} python-colorama{u} python-distlib{u} python-html5lib{u}
0 packages upgraded, 138 newly installed, 6 to remove and 0 not upgraded.
Need to get 30.5 MB of archives. After unpacking 102 MB will be used.
The following packages have unmet dependencies:
udisks2 : Depends: libpam-systemd but it is not installable.
policykit-1 : Depends: libpam-systemd but it is not installable.
Debian 中文论坛 - forums.debiancn.org
欢迎所有 Debian GNU/Linux 用户
科学之子
帖子: 2260
注册时间: 2013-05-26 6:58
系统: Debian 9
送出感谢: 842 次
接收感谢: 30 次

Re: 为何lxde-core推荐lxterminal但安装时不提示会安装?

#5

帖子 科学之子 » 2017-05-06 1:19

vickycq 写了:
科学之子 写了:aptitude -r选项可以覆盖apt配置文件(参见man aptitude搜索-r)
抱歉,之前没看见已经使用了 -r
科学之子 写了:检查这些终端的意义是什么?以及如何方便的检查"35款终端"?
您这样检查就是最方便的。虚包 'x-terminal-emulator' 没有被满足。

rec: lxterminal
LXDE terminal emulator
or x-terminal-emulator
virtual package provided by [show 35 providing packages]

用一台无头服务器试了试,无法重现您的情况
# aptitude -P install -r lxde-core
The following NEW packages will be installed:
consolekit{a} desktop-file-utils dictionaries-common{a} dosfstools{a} eject{a} emacsen-common{a} fuse{a} gcr{a} gdisk{a} giblib1{a} gksu
gnome-keyring{a} gvfs{a} gvfs-backends{a} gvfs-common{a} gvfs-daemons{a} gvfs-fuse{a} gvfs-libs{a} libarchive13{a} libatasmart4{a}
libauthen-sasl-perl{a} libavahi-glib1{a} libbluetooth3{a} libck-connector0{a} libencode-locale-perl{a} libexif12{a}
libfile-listing-perl{a} libfm-data{a} libfm-extra4{a} libfm-gtk-data{a} libfm-gtk4{a} libfm-modules{a} libfm4{a} libfont-afm-perl{a}
libfuse2{a} libgck-1-0{a} libgcr-3-common{a} libgcr-base-3-1{a} libgcr-ui-3-1{a} libgif4{a} libgksu2-0{a} libglade2-0{a}
libgnome-keyring-common{a} libgnome-keyring0{a} libgoa-1.0-0b{a} libgoa-1.0-common{a} libgphoto2-6{a} libgphoto2-l10n{a}
libgphoto2-port10{a} libgtk2.0-0{a} libgtk2.0-bin{a} libgtk2.0-common{a} libgtop2-7{a} libgtop2-common{a} libgudev-1.0-0{a}
libhtml-form-perl{a} libhtml-format-perl{a} libhtml-parser-perl{a} libhtml-tagset-perl{a} libhtml-tree-perl{a} libhttp-cookies-perl{a}
libhttp-daemon-perl{a} libhttp-date-perl{a} libhttp-message-perl{a} libhttp-negotiate-perl{a} libid3tag0{a} libimlib2{a}
libimobiledevice4{a} libio-html-perl{a} libio-socket-ssl-perl{a} libjpeg-turbo-progs{a} liblwp-mediatypes-perl{a}
liblwp-protocol-https-perl{a} liblzo2-2{a} libmailtools-perl{a} libmenu-cache-bin{a} libmenu-cache3{a} libmtp-common{a} libmtp-runtime{a}
libmtp9{a} libnet-http-perl{a} libnet-smtp-ssl-perl{a} libnet-ssleay-perl{a} libobrender29{a} libobt2{a} libpam-ck-connector{a}
libpam-gnome-keyring{a} libpango1.0-0{a} libpangox-1.0-0 libpangoxft-1.0-0{a} libplist2{a} libpolkit-agent-1-0{a}
libpolkit-backend-1-0{a} libpolkit-gobject-1-0{a} libsecret-1-0{a} libsecret-common{a} libsmbclient{a} libstartup-notification0{a}
libtimedate-perl{a} libturbojpeg1{a} libudisks2-0{a} liburi-perl{a} libusbmuxd2{a} libvte-common{a} libvte9{a} libwnck-common{a}
libwnck22{a} libwww-perl{a} libwww-robotrules-perl{a} libxcb-util0{a} libxres1{a} libxxf86dga1{a} lsb-release{a} lxde-common lxde-core
lxde-icon-theme{a} lxmenu-data{a} lxpanel{a} lxpanel-data{a} lxsession{a} lxtask{a} lxterminal miscfiles{a} ntfs-3g{a} obconf{a}
openbox{a} p11-kit{a} p11-kit-modules{a} pcmanfm{a} policykit-1{ab} python-xdg{a} scrot{a} udisks2{ab} usbmuxd{a} x11-utils{a} xauth{a}
xscreensaver xscreensaver-data{a}
The following packages will be REMOVED:
libauparse0{u} liborc-0.4-0{u} libschroedinger-1.0-0{u} python-colorama{u} python-distlib{u} python-html5lib{u}
0 packages upgraded, 138 newly installed, 6 to remove and 0 not upgraded.
Need to get 30.5 MB of archives. After unpacking 102 MB will be used.
The following packages have unmet dependencies:
udisks2 : Depends: libpam-systemd but it is not installable.
policykit-1 : Depends: libpam-systemd but it is not installable.
为何lxterminal没有{a}后缀?(通常Recommends,Depends都是有{a}后缀的)
刚刚用debootstrap装了两次系统
第一次安装stretch,装上之后马上apt install aptitude
aptitude没有lxterminal
然后删掉第二次装jessie
结果基本和您一样
出现lxterminal,但没有{a}后缀.
科学之子
帖子: 2260
注册时间: 2013-05-26 6:58
系统: Debian 9
送出感谢: 842 次
接收感谢: 30 次

Re: 为何lxde-core推荐lxterminal但安装时不提示会安装?

#6

帖子 科学之子 » 2017-05-06 7:00

poloshiao 写了:

https://packages.debian.org/jessie/lxde-core
rec:
lxterminal
LXDE terminal emulator
or
x-terminal-emulator
virtual package provided by [show 35 providing packages]

表示 推薦 套件
兩者之一即可
lxterminal or x-terminal-emulator
猜測
如果其中之一已經安裝 就不會再安裝另一個

然而x-terminal-emulator和lxterminal都没有安装
jessie的情况是会提示安装lxterminal,但是lxterminal没有{a}后缀
aptitude自动安装相关包时我记得都是应该有{a}后缀的
上次由 科学之子 在 2017-05-06 7:57,总共编辑 1 次。
poloshiao
论坛版主
帖子: 18252
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1948 次

Re: 为何lxde-core推荐lxterminal但安装时不提示会安装?

#7

帖子 poloshiao » 2017-05-06 7:16

抱歉
因為自己不滿意 所以刪除了
才發現 你已經引用
poloshiao
论坛版主
帖子: 18252
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1948 次

Re: 为何lxde-core推荐lxterminal但安装时不提示会安装?

#8

帖子 poloshiao » 2017-05-06 7:37

1. https://debian-handbook.info/browse/zh- ... t-get.html
還沒完全翻譯成簡體中文
1-1. 所以引用繁體中文版
https://debian-handbook.info/browse/zh- ... t-get.html
aptitude、apt-get、與 apt 命令
1-1-1. 最被推薦的介面 apt
1-1-2. apt、apt-get 與 aptitude 還是有區別的

2. 建議
除非你要專研 aptitude
否則 建議 多多使用 apt 及 apt-get
2-1. 補充
aptitude 與 apt / apt-get 資訊 儲存位置 不大相同 (參見 manpage)
儘量避免 混用 以免自己混淆
这些用户感谢了作者 poloshiao 于这个帖子:
科学之子 (2017-05-06 7:56)
评价: 3.7%
科学之子
帖子: 2260
注册时间: 2013-05-26 6:58
系统: Debian 9
送出感谢: 842 次
接收感谢: 30 次

Re: 为何lxde-core推荐lxterminal但安装时不提示会安装?

#9

帖子 科学之子 » 2017-05-06 8:12

poloshiao 写了:1. https://debian-handbook.info/browse/zh- ... t-get.html
還沒完全翻譯成簡體中文
1-1. 所以引用繁體中文版
https://debian-handbook.info/browse/zh- ... t-get.html
aptitude、apt-get、與 apt 命令
1-1-1. 最被推薦的介面 apt
1-1-2. apt、apt-get 與 aptitude 還是有區別的

2. 建議
除非你要專研 aptitude
否則 建議 多多使用 apt 及 apt-get
2-1. 補充
aptitude 與 apt / apt-get 資訊 儲存位置 不大相同 (參見 manpage)
儘量避免 混用 以免自己混淆
1.
aptitude可以解决一个问题,个人感觉这是一个很大的优势
2.
aptitude 與 apt / apt-get 資訊 儲存位置 不大相同 (參見 manpage)
能否提供具体manpage段落或相关信息?
以前看到您发帖这样说时我仔细(但我搜索工具使用能力不高)搜索过一番,没发现"資訊 儲存位置 不大相同"的相关信息.
poloshiao
论坛版主
帖子: 18252
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1948 次

Re: 为何lxde-core推荐lxterminal但安装时不提示会安装?

#11

帖子 poloshiao » 2017-05-06 18:51

aptitude可以解决一个问题,个人感觉这是一个很大的优势
1. 英文單字 trade-off 中文翻譯 交易
白話文 拿什麼來交換 ?
翻譯成 有所得 有所失 更貼切
意思是 為了擁有這個優點 你失去了擁有 apt / apt-get 其它優點 作為交換
1-1. 正確的說 它 讓你有選擇權

2. 補充
apt 指令 更強大 參數更詳細 指令更多元 但是 目前 Debian 的 manpages 還不完整 所以 有時 還需要求助於 apt-get
能否提供具体manpage段落或相关信息?
以前看到您发帖这样说时我仔细(但我搜索工具使用能力不高)搜索过一番,没发现"資訊 儲存位置 不大相同"的相关信息.
3. 粗略的看 每個 manpage 所描述 影響到的 files 欄位 不完全一樣
3-1. https://manpages.debian.org/jessie/apti ... .8.en.html
aptitude - high-level interface to the package manager
FILES
/var/lib/aptitude/pkgstates
/etc/apt/apt.conf, /etc/apt/apt.conf.d/*, ~/.aptitude/config
3-2. https://manpages.debian.org/jessie/apt/ ... .8.en.html
apt-get - APT package handling utility -- command-line interface
FILES
/etc/apt/sources.list
/etc/apt/sources.list.d/
/etc/apt/apt.conf
/etc/apt/apt.conf.d/
/etc/apt/preferences
/etc/apt/preferences.d/
/var/cache/apt/archives/
/var/cache/apt/archives/partial/
/var/lib/apt/lists/
/var/lib/apt/lists/partial/
3-3. https://manpages.debian.org/jessie/apt/apt.8.en.html
apt - command-line interface
3-3-1. DIFFERENCES TO APT-GET
3-3-2. 再使用 file 搜尋

4. 另外還需參閱 每個 manpage 的 see also 所有指令 的 manpages 影響到的 FILES
这些用户感谢了作者 poloshiao 于这个帖子:
科学之子 (2017-05-06 19:05)
评价: 3.7%
科学之子
帖子: 2260
注册时间: 2013-05-26 6:58
系统: Debian 9
送出感谢: 842 次
接收感谢: 30 次

Re: 为何lxde-core推荐lxterminal但安装时不提示会安装?

#12

帖子 科学之子 » 2017-05-06 19:08

poloshiao 写了:
aptitude可以解决一个问题,个人感觉这是一个很大的优势
1. 英文單字 trade-off 中文翻譯 交易
白話文 拿什麼來交換 ?
翻譯成 有所得 有所失 更貼切

2. 補充
apt 指令 更強大 參數更詳細 指令更多元 但是 目前 Debian 的 manpages 還不完整 所以 有時 還需要求助於 apt-get
1. 英文單字 trade-off 中文翻譯 交易
白話文 拿什麼來交換 ?
翻譯成 有所得 有所失 更貼切
这是在说什么意思?
意思是aptitude,apt,apt-get,三者各有优势?
poloshiao
论坛版主
帖子: 18252
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1948 次

Re: 为何lxde-core推荐lxterminal但安装时不提示会安装?

#13

帖子 poloshiao » 2017-05-06 19:17

这是在说什么意思?
意思是aptitude,apt,apt-get,三者各有优势?
已補充如上

你說的對 (應該誇讚 你的聯想力)

關鍵在於 apt,apt-get 的优势 是否被你忽視了
这些用户感谢了作者 poloshiao 于这个帖子:
科学之子 (2017-05-06 19:32)
评价: 3.7%
poloshiao
论坛版主
帖子: 18252
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1948 次

Re: 为何lxde-core推荐lxterminal但安装时不提示会安装?

#14

帖子 poloshiao » 2017-05-06 20:27

這個問題 是你自己貼的 ? 還是其它網友幫你貼的 ?
https://unix.stackexchange.com/question ... -recommend
Why install lxde-core no include the lxterminal recommend?
追蹤看看 有沒有 滿意的解答
科学之子
帖子: 2260
注册时间: 2013-05-26 6:58
系统: Debian 9
送出感谢: 842 次
接收感谢: 30 次

Re: 为何lxde-core推荐lxterminal但安装时不提示会安装?

#15

帖子 科学之子 » 2017-05-07 1:09

poloshiao 写了:這個問題 是你自己貼的 ? 還是其它網友幫你貼的 ?
https://unix.stackexchange.com/question ... -recommend
Why install lxde-core no include the lxterminal recommend?
追蹤看看 有沒有 滿意的解答
这个链接就是我贴的
刚开始不熟悉该网站功能,所以排版有些混乱,已经edited了
第一次在英文的Linux相关网站提问,不知是否有些不恰当的地方?
比如违反一些提问应该遵守的惯例?或者英文出现低级错误导致外国人难以理解?
回复

回到 “Debian发行版”